﻿using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.richTextBox.SelectionChanged += richTextBox_SelectionChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 리치 텍스트 박스 선택 변경시 처리하기 - richTextBox_SelectionChanged(sender, e)

        /// <summary>
        /// 리치 텍스트 박스 선택 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void richTextBox_SelectionChanged(object sender, RoutedEventArgs e)
        {
            int line   = 0;
            int column = 0;

            this.richTextBox.CaretPosition.GetLineStartPosition(-100000, out line);

            column = this.richTextBox.CaretPosition.GetOffsetToPosition(this.richTextBox.CaretPosition.GetLineStartPosition(0));

            this.itemLineBarStaticItem.Content = "Line : " + (-line).ToString() + "  Position : " + (-column).ToString();
        }

        #endregion
    }
}